#
# spec file for package erlang-envy
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define app_name envy
Name:           erlang-%{app_name}
Version:        0.5.0+git20151105.8ba233b
Release:        1.69
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
Summary:        An enhancement for application:get_env
License:        Apache-2.0
Group:          Development/Libraries/Other
Url:            https://github.com/manderson26/envy
Source:         %{app_name}-%{version}.tar.bz2
Requires:       erlang
BuildRequires:  erlang
BuildRequires:  erlang-rebar
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An enhancement for application:get_env to provide data validation and sensible error messages.

%prep
%setup -q -n %{app_name}-%{version}

%build
%rebar_set_vsn_cache %{app_ver}
%rebar compile

%install
for dir in ebin ; do
	mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
	cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done

%check
%rebar eunit

%files
%defattr(-,root,root)
%doc README.md LICENSE
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam

%changelog
* Sat Mar 19 2016 matwey.kornilov@gmail.com
- Update to version 0.5.0+git20151105.8ba233b:
  + Experimental code to add parsing support to envy.
  + Improved envy:get's -specs
  + Added travis.yml
  + Add envy:one_of helper method
  + fix envy:get in host_to_ip/3 to put default in the right place
* Tue Jun 17 2014 matwey.kornilov@gmail.com
- Initial version
